# Class: YARD::Handlers::C::OverrideCommentHandler

Inherits:
  Base
  - Object
  - Handlers::Base
  - Base
  - YARD::Handlers::C::OverrideCommentHandler
  show all

Defined in:
  lib/yard/handlers/c/override_comment_handler.rb

## Overview

Parses comments

Since:

- 0.8.0

## Constant Summary

### Constants included from CodeObjects

CodeObjects::BUILTIN_ALL, CodeObjects::BUILTIN_CLASSES, CodeObjects::BUILTIN_EXCEPTIONS, CodeObjects::BUILTIN_EXCEPTIONS_HASH, CodeObjects::BUILTIN_MODULES, CodeObjects::CONSTANTMATCH, CodeObjects::CONSTANTSTART, CodeObjects::CSEP, CodeObjects::CSEPQ, CodeObjects::ISEP, CodeObjects::ISEPQ, CodeObjects::METHODMATCH, CodeObjects::METHODNAMEMATCH, CodeObjects::NAMESPACEMATCH, CodeObjects::NSEP, CodeObjects::NSEPQ

## Instance Method Summary collapse

- #register_docstring(object, docstring = statement.source, stmt = statement) ⇒ Object
- #register_file_info(object, file = parser.file, line = statement.line, comments = statement.comments) ⇒ Object

### Methods included from HandlerMethods

#handle_alias, #handle_attribute, #handle_class, #handle_constants, #handle_method, #handle_module

### Methods included from YARD::Handlers::Common::MethodHandler

#add_predicate_return_tag

### Methods included from CodeObjects::NamespaceMapper

#clear_separators, #default_separator, on_invalidate, #register_separator, #separators, #separators_for_type, #separators_match, #types_for_separator, #unregister_separator_by_type

## Instance Method Details

### #register_docstring(object, docstring = statement.source, stmt = statement) ⇒ `Object`

Since:

- 0.8.0

    24
    25
    26

    # File 'lib/yard/handlers/c/override_comment_handler.rb', line 24

    def register_docstring(object, docstring = statement.source, stmt = statement)
      super
    end

### #register_file_info(object, file = parser.file, line = statement.line, comments = statement.comments) ⇒ `Object`

Since:

- 0.8.0

    28
    29
    30

    # File 'lib/yard/handlers/c/override_comment_handler.rb', line 28

    def register_file_info(object, file = parser.file, line = statement.line, comments = statement.comments)
      super
    end